Subject: Re: bug#50798: 28.0.50; Tab line close button is off-center until it is highlighted with the mouse

From: Juri Linkov <[email-masked]>
Date: Mon, 11 Oct 2021 21:28:27 +0300

close 50798 28.0.60
quit

>> >> (defface test
>> >>   '((t :height 2.0))
>> >>   "")
>> >>
>> >> (defface test-highlight
>> >>   '((default :inherit test-tab))
>> >>   "")
>> >
>> > What did you expect to happen with these definitions of faces?
>>
>> My previous patch avoided inheriting from the face that changes the
>> height of the mouse-highlight face.  Maybe it was the right solution?
>
> Did you intend that the face which inherited will NOT have the changed
> size like the one it inherited from?  If so, not inheriting is
> probably the easiest solution.

Yes, no need to change size on mouse highlighting, so I pushed this fix.
One possible problem is that some themes might break.  But I checked
that modus-themes.el is well-designed, so its face inheritance doesn't break
because its parent face doesn't use the face attribute :height:

    `(tab-line-highlight ((,class :inherit modus-themes-active-blue)))